package ink.wgink.module.instantmessage.pojo.dtos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: NoticeDTO
 * @Description: 通知
 * @Author: wanggeng
 * @Date: 2021/10/22 11:18 上午
 * @Version: 1.0
 */
@ApiModel
public class NoticeDTO {

    @ApiModelProperty(name = "noticeId", value = "通知标题")
    private String noticeId;
    @ApiModelProperty(name = "noticeTitle", value = "通知内容")
    private String noticeTitle;
    @ApiModelProperty(name = "noticeMsg", value = "通知内容")
    private String noticeMsg;
    @ApiModelProperty(name = "noticeTarget", value = "通知触发目标")
    private String noticeTarget;
    @ApiModelProperty(name = "noticeSystem", value = "通知业务系统")
    private String noticeSystem;
    @ApiModelProperty(name = "noticeModule", value = "通知业务模块")
    private String noticeModule;
    @ApiModelProperty(name = "noticeMenu", value = "通知业务菜单")
    private String noticeMenu;
    @ApiModelProperty(name = "noticeServiceId", value = "通知业务ID")
    private String noticeServiceId;
    @ApiModelProperty(name = "userId", value = "通知人")
    private String userId;
    @ApiModelProperty(name = "userName", value = "通知人昵称")
    private String userName;
    @ApiModelProperty(name = "userUsername", value = "通知人用户名")
    private String userUsername;
    @ApiModelProperty(name = "isSend", value = "是否发送")
    private Integer isSend;
    @ApiModelProperty(name = "isHandle", value = "是否处理")
    private Integer isHandle;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;
    @ApiModelProperty(name = "gmtModified", value = "修改时间")
    private String gmtModified;

    public String getNoticeId() {
        return noticeId == null ? "" : noticeId.trim();
    }

    public void setNoticeId(String noticeId) {
        this.noticeId = noticeId;
    }

    public String getNoticeTitle() {
        return noticeTitle == null ? "" : noticeTitle.trim();
    }

    public void setNoticeTitle(String noticeTitle) {
        this.noticeTitle = noticeTitle;
    }

    public String getNoticeMsg() {
        return noticeMsg == null ? "" : noticeMsg.trim();
    }

    public void setNoticeMsg(String noticeMsg) {
        this.noticeMsg = noticeMsg;
    }

    public String getNoticeTarget() {
        return noticeTarget == null ? "" : noticeTarget.trim();
    }

    public void setNoticeTarget(String noticeTarget) {
        this.noticeTarget = noticeTarget;
    }

    public String getNoticeSystem() {
        return noticeSystem == null ? "" : noticeSystem.trim();
    }

    public void setNoticeSystem(String noticeSystem) {
        this.noticeSystem = noticeSystem;
    }

    public String getNoticeModule() {
        return noticeModule == null ? "" : noticeModule.trim();
    }

    public void setNoticeModule(String noticeModule) {
        this.noticeModule = noticeModule;
    }

    public String getNoticeMenu() {
        return noticeMenu == null ? "" : noticeMenu.trim();
    }

    public void setNoticeMenu(String noticeMenu) {
        this.noticeMenu = noticeMenu;
    }

    public String getNoticeServiceId() {
        return noticeServiceId == null ? "" : noticeServiceId.trim();
    }

    public void setNoticeServiceId(String noticeServiceId) {
        this.noticeServiceId = noticeServiceId;
    }

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName == null ? "" : userName.trim();
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserUsername() {
        return userUsername == null ? "" : userUsername.trim();
    }

    public void setUserUsername(String userUsername) {
        this.userUsername = userUsername;
    }

    public Integer getIsSend() {
        return isSend == null ? 0 : isSend;
    }

    public void setIsSend(Integer isSend) {
        this.isSend = isSend;
    }

    public Integer getIsHandle() {
        return isHandle == null ? 0 : isHandle;
    }

    public void setIsHandle(Integer isHandle) {
        this.isHandle = isHandle;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }
}
